package com.mx.dla.dda.contrato.titulo.daos;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.contrato.titulo.dtos.Titulo;

public interface TituloChunkDAO {

	void aEspejo(@Param("titulos")List<Titulo> titulos);
	
	void aReal(@Param("titulos")List<Titulo> titulos);
	
	void aTituloEspejoPorLista(@Param("idListaReal")Long idListaReal , @Param("idListaEspejo")Long idListaEspejo);
	
	void aTituloRealPorLista(@Param("idListaEspejo")Long idListaEspejo , @Param("idListaReal")Long idListaReal);
	
	
	void aListaRealPorCorato(@Param("idContrato")Long idContrato  );
	
	
	void aListaEspejoPorCorato(@Param("idContrato")Long idContrato  );	
}
